# $Revision: 1.11 $, $Date: 2005/01/15 16:15:39 $
Summary:	Unix driver for Towitoko smartcard readers
Summary(pl):	Uniksowy sterownik do czytnikw kart procesorowych Towitoko
Name:		towitoko
Version:	2.0.7
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.geocities.com/cprados/files/%{name}-%{version}.tar.gz
# Source0-md5:	6cb2f842ca11aa79692af89d3730f4ce
URL:		http://www.geocities.com/cprados/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libchipcard allows easy access to smart cards. It provides basic
access to memory and processor cards and has special support for
German medical cards, German "Geldkarten" and HBCI (homebanking) cards
(both type 0 and type 1). It accesses the readers via CT-API or PC/SC
interfaces and has successfully been tested with Towitoko, Kobil and
Reiner-SCT readers.

%description -l pl
Libchipcard pozwala na atwy dostp do kart procesorowych. Udostpnia
podstawowy dostp do kart pamiciowych i procesorowych, ma specjaln
obsug niemieckich kart medycznych, niemieckich "Geldkarten" oraz
kart do homebankingu HBCI (typu 0 i 1). Dostp do czytnika moe
odbywa si przez interfejs CT-API lub PC/SC; by testowany z
czytnikami Towitoko, Kobil i Reiner-SCT.

%package devel
Summary:	towitoko development kit
Summary(pl):	Pakiet programistyczny towitoko
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for writing programs using towitoko.

%description devel -l pl
Pliki nagwkowe do pisania programw z uyciem towitoko.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README doc/reader.conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/design.html
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_mandir}/man3/ct*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: towitoko.spec,v $
Revision 1.11  2005/01/15 16:15:39  qboosh
- libdir override shouldn't be necessary

Revision 1.10  2005/01/15 15:46:35  qboosh
- refresh libtool - now builds on amd64

Revision 1.9  2005/01/14 11:49:39  ankry
- OOPS, not this make

Revision 1.8  2005/01/14 10:44:21  ankry
- attempt to fix amd64 build

Revision 1.7  2004/12/01 21:22:50  bszx
- refresh config.sub for pentium3 (and amd64 probably too)

Revision 1.6  2004/10/31 15:11:53  paladine
- spaces->tabs
- formatting

Revision 1.5  2003/09/03 12:21:18  qboosh
- cleanups

Revision 1.4  2003/05/28 13:02:19  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/29 19:26:27  qboosh
- pl description

Revision 1.1  2003/03/28 18:39:49  bszx
- initial release
